
#include "FastQ.h"

void FastQ::read(std::istream &stream)
{
	std::getline(stream, tag);
	std::getline(stream, data);
	std::getline(stream, tag2);
	std::getline(stream, quality);
	if(stream.eof()) {
		clear();
	} else valid=true;
}

void FastQ::write(std::ostream &stream)
{
	if(valid) {
		stream << tag << std::endl;
		stream << data << std::endl;
		stream << tag2 << std::endl;
		stream << quality << std::endl;
	}
}


