#ifndef _FASTQ_H
#define _FASTQ_H
#include <iostream>
#include <string>
#include <math.h>

class FastQ {
public:
	bool valid;
	FastQ() {clear();}
	void clear() {valid=false;}
	std::string  tag;
	std::string  data;
	std::string  tag2;
	std::string  quality;
	void read(std::istream &);
	void write(std::ostream &);
};

inline std::istream &operator >> (std::istream &stream, FastQ &f)
{
	f.read(stream);
	return stream;
}

inline std::ostream &operator << (std::ostream &stream, FastQ &f)
{
	f.write(stream);
	return stream;
}

inline double phred2double(const char& c)
{
	double errorProb=pow(10,-double((c-'!'))/10);
	return errorProb;
}

#endif
